# Useful-scripts

My collection of useful shell scripts.

### randint.sh 
usage: randint <positive integer>   
print in the terminal a random integer x with $` 0 \leq x \lt \$1`$

### killwine.sh 
kill every wine process including processes hanging

### webptogif.sh 
convert animated .webp at $1 (path) to a gif

### get_matrix_access_token.sh
args:
- $1 username
- $2 password
- $3 subdomain (synapse.example.org)   
returns a matrix access token

### convert_md_to_pdf.sh
(need to be used with listings-setup.tex in the same folder, xelatex and pandoc are required)   
convert infile.md in the current folder to a pdf file (outfile.pdf) with code blocks in red boxes.

### flatten.sh
move all the files in $1 subdirectories to $1.   
**Careful**, this operation is irreversible and manually moving back all the files to where they were supposed to be will be a pain if you flatten your home folder.

### backupfirefox.sh
script to backup firefox config directory and restore the latest backup   
adapt the hostnames and paths to what you need, not made to be easily configured with environment variables.  
**Careful**, firefox config folder includes all your profiles, including their cookies and localstorage (access tokens of your accounts can be there). 
